Bug: rs.CreatePlane() not working in Py3

Hi all,
Code below is simple. In py2 it works well, but in Py3 it gets error messages:
“if raise_on_bad_input: raise TypeError(”%s can not be converted to a Plane"%plane)
TypeError: 0,0,0 can not be converted to a Plane"

import rhinoscriptsyntax as rs

plane = rs.CreatePlane(rs.CreatePoint(0,0,0), rs.CreateVector(1,0,0), rs.CreateVector(0,1,0))
print(plane)

Version: Rhino 8 SR8


I see that… @Alain ?

As a workaround you can use

#! python 3
import rhinoscriptsyntax as rs
import Rhino

plane = Rhino.Geometry.Plane(rs.CreatePoint(0,0,0), rs.CreateVector(1,0,0), rs.CreateVector(0,1,0))
print(plane)

You can also use other methods to create points or vectors such as Rhino.Geometry.Point3d(0,0,0)

@Helvetosaur ,

thx for the workaround.

Logged here: RH-82892
Thanks!

1 Like